Subject: Re: bug#60769: CC Mode 5.35.2 (C/*l); More incorrect type recognition
From: Alan Mackenzie <[email-masked]>
To: Po Lu <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Jan 2023 11:21:27 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Po.

On Thu, Jan 19, 2023 at 09:05:54 +0800, Po Lu wrote:
> Alan Mackenzie <[email-masked]> writes:

> > Ah!  Yes, that's different.  ;-)

> > I can now reproduce the bug, and analysing it, it actually turned out to
> > be two distinct cases, one for android_get_geometry and the other for
> > FRAME_ANDROID_WINDOW.  I've fixed both of them with the now familiar
> > "unsafe-maybe" mechanism.

> > Would you please do the usual with the attached patch, and let me know if
> > anything is amiss.  In particular, if you notice any types which were
> > (correctly) fontified as types, but now no longer get fontified, please
> > tell me.  Thanks!

> > I look forward to hearing from you again.

> Seems to work nicely here, thank you.

Thanks!  I've now committed that patch, and I'm closing the bug with
this post.

-- 
Alan Mackenzie (Nuremberg, Germany).